%global momorel 1
%global pyver 2.5

Summary: The Beagle Search Infrastructure
Name: beagle

Version: 0.3.8
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops
URL: http://beagle-project.org/

Source0:  ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  pkgconfig
BuildRequires:  mono-core >= 1.9.1
BuildRequires:  mono-devel mono-data-sqlite
BuildRequires:  monodoc
BuildRequires:  gtk-sharp2-devel >= 2.12.0
BuildRequires:  gnome-sharp-devel >= 2.20.0
BuildRequires:  avahi-mono >= 0.6.22-2m
BuildRequires:  zip libexif-devel
BuildRequires:  gsf-sharp >= 0.8.1-3m
BuildRequires:  sqlite-devel >= 3.3.17
BuildRequires:  gmime-sharp >= 2.2.1-3m
BuildRequires:  evolution-sharp >= 0.17
BuildRequires:  libXScrnSaver-devel
BuildRequires:  gnome-vfs2-devel >= 2.18.1
BuildRequires:  libgnome-devel >= 2.18.0
BuildRequires:  gtk2-devel >= 2.10.12
BuildRequires:  librsvg2-devel >= 2.22.2-3m
BuildRequires:  wv >= 1.2.4
BuildRequires:  shared-mime-info >= 0.21
BuildRequires:  glib2-devel >= 2.12.12
BuildRequires:  galago-sharp-devel >= 0.5.0
BuildRequires:  pygtk-devel >= 2.10.4
BuildRequires:  pygobject-devel >= 2.12.3
BuildRequires:  atk-devel >= 1.18.0
BuildRequires:  libexif-devel >= 0.6.13
BuildRequires:  libxml2-devel >= 2.6.28
BuildRequires:  epiphany-devel >= 2.20.0
BuildRequires:  libglade2-devel >= 2.6.0
BuildRequires:  intltool
BuildRequires:  ndesk-dbus-glib
BuildRequires:  autoconf
BuildRequires:  desktop-file-utils
BuildRequires:  taglib-sharp-devel

Requires: sqlite >= 3.3.5
Requires: zip unzip sed grep
PreReq: shadow-utils

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x

%description
A general infrastructure for making your data easy to find.

%package doc
Summary:      Beagle document
Group:        Documentation
Requires:     beagle = %{version}

%description doc
Beagle document

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{buildroot}/%{?buildsubdir}
mkdir -p ${MONO_SHARED_DIR}
%configure --enable-sqlite3 \
    --enable-gtk-doc \
    --enable-docs \
    --enable-evolution \
    --enable-thunderbird \
    --enable-epiphany-extension \
    --enable-epiphany-extension-install \
    --enable-xml-dump \
    --enable-avahi \
    --program-transform-name=""
%make

%install
rm -rf --preserve-root %{buildroot}
export MONO_SHARED_DIR=%{buildroot}/%{?buildsubdir}
mkdir -p ${MONO_SHARED_DIR}

%make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/var/cache/beagle/indexes

desktop-file-install --vendor gnome --delete-original           \
  --dir %{buildroot}%{_datadir}/applications                 \
  --add-only-show-in=GNOME                                      \
  --remove-category=Application \
  --remove-category=X-Ximian-Settings \
  %{buildroot}%{_datadir}/applications/beagle-search.desktop

desktop-file-install --vendor gnome --delete-original           \
  --dir %{buildroot}%{_datadir}/applications                 \
  --remove-category Utility                                     \
  --remove-category=X-Ximian-Settings \
  --remove-category=AdvancedSettings \
  --remove-category=Application \
  --add-only-show-in=GNOME                                      \
  %{buildroot}%{_datadir}/applications/beagle-settings.desktop

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

chmod a+x %{buildroot}%{_libdir}/beagle/*/*.dll
chmod a+x %{buildroot}%{_libdir}/beagle/*.dll
chmod a+x %{buildroot}%{_libdir}/beagle/*.exe

# I do not want to autostart
echo "X-GNOME-autostart-enabled = False" >> %{buildroot}/%{_sysconfdir}/xdg/autostart/beagle-search-autostart.desktop
echo "X-GNOME-autostart-enabled = False" >> %{buildroot}/%{_sysconfdir}/xdg/autostart/beagled-autostart.desktop

# KDE use beagle-frontend kerry instead of beagle-search
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
  --remove-key X-KDE-autostart-phase \
  --remove-key X-KDE-autostart-after \
  --add-only-show-in XFCE \
  --add-only-show-in GNOME \
  %{buildroot}%{_sysconfdir}/xdg/autostart/beagle-search-autostart.desktop

# beagled is controlled by kerry on KDE
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
  --remove-key X-KDE-autostart-phase \
  --remove-key X-KDE-autostart-after \
  --add-only-show-in XFCE \
  --add-only-show-in GNOME \
  %{buildroot}%{_sysconfdir}/xdg/autostart/beagled-autostart.desktop

%pre
%define beagle_user_uid 58

/usr/sbin/groupadd -g %{beagle_user_uid} -r beagleindex 2> /dev/null || :
/usr/sbin/useradd -r -u %{beagle_user_uid} -s /sbin/nologin -c "User for Beagle indexing" -d /var/cache/beagle -g beagleindex beagleindex 2> /dev/null || :

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/cron.daily/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/beagle/crawl-rules/crawl-applications
%config(noreplace) %{_sysconfdir}/beagle/crawl-rules/crawl-documentation
%config(noreplace) %{_sysconfdir}/beagle/crawl-rules/crawl-manpages
%config(noreplace) %{_sysconfdir}/beagle/crawl-rules/crawl-monodoc
%config(noreplace) %{_sysconfdir}/beagle/crawl-rules/crawl-windows
%config(noreplace) %{_sysconfdir}/beagle/external-filters.xml.sample
%config(noreplace) %{_sysconfdir}/beagle/query-mapping.xml

%dir %{_sysconfdir}/%{name}/config-files
%config(noreplace) %{_sysconfdir}/%{name}/config-files/*
%{_sysconfdir}/%{name}/blocate.conf
%dir %{_sysconfdir}/%{name}/crawl-rules
%{_sysconfdir}/%{name}/crawl-rules/crawl-executables

%{_bindir}/*
%{_sbindir}/*
%{_libdir}/pkgconfig/beagle*.pc
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/locale/*/*/*
%{_mandir}/*/*
%dir %attr(-,beagleindex,beagleindex) /var/cache/beagle
%dir %attr(-,beagleindex,beagleindex) /var/cache/beagle/indexes
%{_sysconfdir}/xdg/autostart/beagle-search-autostart.desktop
%{_sysconfdir}/xdg/autostart/beagled-autostart.desktop

%{_libdir}/epiphany/*/extensions/beagle.ephy-extension
%{_libdir}/epiphany/*/extensions/beagle.py

%files doc
%defattr(-, root, root)
%{_prefix}/lib/monodoc/sources/*

%changelog
* Mon Jul 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8-1m)
- update to 0.3.8

* Sat Jul 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-4m)
- good-bye evolution-sharp ;-P

* Sun Jun  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.7-3m)
- add BuildRequires:  monodoc

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.7-2m)
- rebuild against librsvg2-2.22.2-3m

* Fri Apr 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7

* Mon Apr 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.6.1-1m)
- update to 0.3.6.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.5-2m)
- rebuild against gcc43

* Wed Apr  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-1m)
- update to 0.3.5
- delete patch1 (fix)

* Thu Mar 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.4-1m)
- update to 0.3.4
- delete patch0, 2 (merged)

* Mon Mar 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-4m)
- add patch2 (new gtk-sharp)

* Mon Mar 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-3m)
- remove beagle-search-autostart.desktop from plasma-workspace
- KDE use beagle-frontend kerry instead of beagle-search
- add epiphany-2.22.patch to enable build with epiphany-2.22.0, is this okay?
- BuildRequires: autoconf, desktop-file-utils
- I can't build this package... , fix me!

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-2m)
- rebuild against gtk-sharp2-2.12.0
- rebuild against gnome-sharp-2.20.0

* Sun Feb  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-1m)
- update to 0.3.3

* Tue Jan  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.2-2m)
- add BuildRequires: avahi-mono

* Sat Dec 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-1m)
- update to 0.3.2
-- use ndesk-dbus
-- delete patch5 (for mono-1.2.6) merged
-- comment out patch 2,3

* Wed Dec 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-2m)
- add patch5 for mono-1.2.6

* Tue Dec 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1
-- disable avahi support

* Mon Dec  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-2m)
- modify %%files doc for x86_64

* Sun Dec  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-1m)
- update 0.3.0
- comment out firefox extention

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.18-2m)
- modify patch5 (for epiphany-2.20.0)

* Tue Aug 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.18-1m)
- update to 0.2.18

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.17-3m)
- add intltoolize (intltool-0.36.0)

* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.17-2m)
- enable evolution-sharp gsf-sharp epiphany

* Wed May  9 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.2.17-1m)
- update to 0.2.17

* Sun Mar 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.16.3-1m)
- update to 0.2.16.3

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.16.2-1m)
- up to 0.2.16.2
- delete patch6 (build fix)

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-liunx.org>
- (0.2.16-1m)
- up to 0.2.16

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.14-2m)
- rebuild against python-2.5

* Tue Dec 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.14-1m)
- update to 0.2.14
- add "X-GNOME-autostart-enabled = False" to %%{_sysconfdir}/xdg/autostart/*

* Fri Nov  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.12-2m)
- add doc package

* Fri Nov  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.12-1m)
- update to 0.2.12
- rebuild against wv-1.2.4-1m

* Sat Oct 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.11-1m)
- update to 0.2.11

* Tue Sep 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.10-1m)
- update to 0.2.10

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.9-2m)
- remove category Application X-Ximian-Settings AdvancedSettings

* Mon Sep  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.9-1m)
- update to 0.2.9
- do not apply patch5

* Tue Aug 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.7-6m)
- rebuild against expat-2.0.0-1m

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.7-5m)
- rebuils against gtk-sharp
- add requires gnome-sharp
- add Patch5 (conflict Gtk.TrayIcon and Search.Tray.TrayIcon)

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.7-4m)
- rebuild against wv-1.2.1-3m

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.7-3m)
- revised for multilibarch

* Wed Jul 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.7-2m)
- stop beagle-crawl (cron.daily)

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.7-1m)
- update to 0.2.7

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2.6-6m)
- depend sqlite3 -> sqlite

* Tue Jun  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.6-5m)
- Fix BuildPrereq (mono package name changed)

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.6-4m)
- delete duplicate dir

* Sun May 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.6-3m)
- BuildRequires:  wv >= 1.2.1

* Wed May 17 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.6-2m)
- add Patch4: beagle-0.2.6-lib64.patch

* Tue May 16 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.6-1m)
- version 0.2.6
- First import, based on Fedora
